get_included_files
get_magic_quotes_gpc
PHP Options/Info Functions
PHP Manual

# get_loaded_extensions

(PHP 4, PHP 5)

get_loaded_extensions — Returns an array with the names of all modules compiled and loaded

### Description

array get_loaded_extensions ([ bool `$zend_extensions`=FALSE ] )

This function returns the names of all the modules compiled and loaded in the PHP interpreter.

### Parameters

`zend_extensions`

  Return zend_extensions or not, defaults to `FALSE` (do not list zend_extensions).

### Return Values

Returns an indexed array of all the modules names.

### ChangeLog

Version | Description
--- | ---
5.2.4 | The optional `zend_extensions` parameter was added

### Examples

Example #1 get_loaded_extensions() Example

`<?php
print_r(get_loaded_extensions());
?>`

The above example will output something similar to:

    Array
    (
       [0] => xml
       [1] => wddx
       [2] => standard
       [3] => session
       [4] => posix
       [5] => pgsql
       [6] => pcre
       [7] => gd
       [8] => ftp
       [9] => db
       [10] => calendar
       [11] => bcmath
    )

### See Also

- get_extension_funcs()
- extension_loaded()
- dl()
- phpinfo()

get_included_files
get_magic_quotes_gpc
PHP Options/Info Functions
PHP Manual